<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_permissions', function (Blueprint $table) {
            $table->id('user_permission_id');
            $table->timestamps();
            $table->foreignId('permission_id')->constrained('permissions', 'permission_id');
            $table->foreignId('user_id')->constrained('users', 'user_id');
            $table->date('user_permission_start');
            $table->date('user_permission_end');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_permissions');
    }
};
