<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id('order_id');
            $table->timestamps();
            $table->addColumn('integer', 'order_number');
            $table->addColumn('enum', 'order_status', ['values' => ['pending', 'paid', 'cancelled']]);
            $table->foreignId('user_id')->constrained('users', 'user_id');
            $table->foreignId('billing_address_id')->constrained('addresses', 'address_id');
            $table->unique(['order_number', 'user_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
};
