<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome', ['title'=>"Home"]);
})->name('home');

Route::get('/movies', function () {
    $s = new \App\Models\Showing();
    return view('movies', ['title'=>"Movies", "showings"=>$s->nowPlaying()->unique('movie_id')]);
})->name('movies');

Route::get('/movie/{id}', function ($id) {
    $m = new \App\Models\Movie();
    $movie = $m->find($id);
    return view('movie', ['title'=>$movie->movie_name, "movie"=>$movie]);
})->name('movie');

Auth::routes();

Route::get('/dash', [App\Http\Controllers\UserDashController::class, 'index'])->name('dash');
